Results 1 to 8 of 8

Thread: gksu package

  1. #1

    Default gksu package

    Hi,

    I am using open suse 11.3 (gnome). Have installed gnome commander and it is asking for gksu to be installed to enable root file function.

    Have searched Webpin and can only find the 11.2 package which will not install in 11.3.

    Any help would be appreciated.

    Regards,

    Dyfi

  2. #2
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    15,301
    Blog Entries
    14

    Default Re: gksu package

    Hi
    The package needs to be modified as openSUSE uses gnomesu in most cases it's even better for the use of xdg-su as this will work across desktop environments. Where did you install from?
    Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
    openSUSE 13.1 (Bottle) (x86_64) GNOME 3.10.1
    If you find this post helpful and are logged into the web interface,
    please show your appreciation and click on the star below... Thanks!

  3. #3

    Default Re: gksu package

    Quote Originally Posted by malcolmlewis View Post
    Hi
    The package needs to be modified as openSUSE uses gnomesu in most cases it's even better for the use of xdg-su as this will work across desktop environments. Where did you install from?
    I used Webpin, located gksu for 11.2 and clicked to install - it produces a message saying instructions for 11.3 not included in this package. I also tried to install older versions - still a negative result. Thanks for your interest.

    Dyfi

  4. #4
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    15,301
    Blog Entries
    14

    Default Re: gksu package

    Quote Originally Posted by dyfi
    malcolmlewis;2200693 Wrote:
    > Hi
    > The package needs to be modified as openSUSE uses gnomesu in most
    > cases it's even better for the use of xdg-su as this will work across
    > desktop environments. Where did you install from?


    I used Webpin, located gksu for 11.2 and clicked to install - it
    produces a message saying instructions for 11.3 not included in this
    package. I also tried to install older versions - still a negative
    result. Thanks for your interest.

    Dyfi

    Hi
    I meant gnome-commander You should be able to change a configuration
    option in the preferences to use gnomesu?

    Else just create a softlink to gnomesu and call the link gksu.
    Code:
    sudo ln -s /usr/bin/gnomesu /usr/bin/gksu
    If it's an openSUSE package you have installed then it's worthy of a
    bug report to get it patched to use gnomesu/kdesu.

    --
    Cheers Malcolm (Linux Counter #276890)
    openSUSE 11.3 (x86_64) Kernel 2.6.34-12-default
    up 5:23, 2 users, load average: 0.07, 0.02, 0.00
    GPU GeForce 8600 GTS Silent - Driver Version: 256.44


  5. #5
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    15,301
    Blog Entries
    14

    Default Re: gksu package

    Quote Originally Posted by malcolmlewis
    Quote Originally Posted by dyfi
    malcolmlewis;2200693 Wrote:
    > Hi
    > The package needs to be modified as openSUSE uses gnomesu in most
    > cases it's even better for the use of xdg-su as this will work across
    > desktop environments. Where did you install from?


    I used Webpin, located gksu for 11.2 and clicked to install - it
    produces a message saying instructions for 11.3 not included in this
    package. I also tried to install older versions - still a negative
    result. Thanks for your interest.

    Dyfi

    Hi
    I meant gnome-commander You should be able to change a configuration
    option in the preferences to use gnomesu?

    Else just create a softlink to gnomesu and call the link gksu.
    Code:
    sudo ln -s /usr/bin/gnomesu /usr/bin/gksu
    If it's an openSUSE package you have installed then it's worthy of a
    bug report to get it patched to use gnomesu/kdesu.
    Hi
    I installed the package here, the softlink works, but a search/replace
    of gksu for gnomesu to the src file and the po files fixes it.

    I have built an updated version (1.2.8.6) in my home repository
    (home:malcolmlewis:Gnome/openSUSE_11.3) and added a fix.
    http://software.opensuse.org/search?...ude_debug=true

    I will push a fix out to the powers that be to update and add the fix...

    --
    Cheers Malcolm (Linux Counter #276890)
    openSUSE 11.3 (x86_64) Kernel 2.6.34-12-default
    up 5:55, 3 users, load average: 0.10, 0.18, 0.08
    GPU GeForce 8600 GTS Silent - Driver Version: 256.44


  6. #6
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    15,301
    Blog Entries
    14

    Default Re: gksu package

    Quote Originally Posted by malcolmlewis
    I will push a fix out to the powers that be to update and add the fix...
    Hi
    Fix submitted on request id 44524.
    https://build.opensuse.org/request/show/44524

    --
    Cheers Malcolm (Linux Counter #276890)
    openSUSE 11.3 (x86_64) Kernel 2.6.34-12-default
    up 23:52, 3 users, load average: 0.08, 0.03, 0.01
    GPU GeForce 8600 GTS Silent - Driver Version: 256.44


  7. #7

    Default Re: gksu package

    Quote Originally Posted by malcolmlewis View Post
    Hi
    I meant gnome-commander You should be able to change a configuration
    option in the preferences to use gnomesu?

    Else just create a softlink to gnomesu and call the link gksu.
    Code:
    sudo ln -s /usr/bin/gnomesu /usr/bin/gksu
    If it's an openSUSE package you have installed then it's worthy of a
    bug report to get it patched to use gnomesu/kdesu.

    --
    Cheers Malcolm (Linux Counter #276890)
    openSUSE 11.3 (x86_64) Kernel 2.6.34-12-default
    up 5:23, 2 users, load average: 0.07, 0.02, 0.00
    GPU GeForce 8600 GTS Silent - Driver Version: 256.44
    Thank you very much Malcolm, the above code worked fine - all is well!
    Have made a note of the code just in case, (for the future).

    Regards,

    Dyfi.

  8. #8
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    15,301
    Blog Entries
    14

    Default Re: gksu package

    Quote Originally Posted by dyfi
    malcolmlewis;2200935 Wrote:
    > Hi
    > I meant gnome-commander You should be able to change a
    > configuration
    > option in the preferences to use gnomesu?
    >
    > Else just create a softlink to gnomesu and call the link gksu.
    > >

    Code:
    --------------------
    > >

    > sudo ln -s /usr/bin/gnomesu /usr/bin/gksu
    >

    --------------------
    > >

    > If it's an openSUSE package you have installed then it's worthy of a
    > bug report to get it patched to use gnomesu/kdesu.
    >


    Thank you very much Malcolm, the above code worked fine - all is well!
    Have made a note of the code just in case, (for the future).

    Regards,

    Dyfi.

    Hi
    I see there are some other update requests, so hopefully there should
    be an update in the future. So if you see an update, I would remove the
    link

    --
    Cheers Malcolm (Linux Counter #276890)
    openSUSE 11.3 (x86_64) Kernel 2.6.34-12-default
    up 1 day 1:33, 3 users, load average: 0.08, 0.20, 0.27
    GPU GeForce 8600 GTS Silent - Driver Version: 256.44


Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •